From 0b3734d07f41882323e3ed19cdc467df779818c9 Mon Sep 17 00:00:00 2001
From: Wouter Deconinck <wouter.deconinck@umanitoba.ca>
Date: Sun, 22 Aug 2021 22:15:11 +0000
Subject: [PATCH] Set bin/get_calibrations executable

---
 bin/get_calibrations | 4 ++++
 1 file changed, 4 insertions(+)
 mode change 100644 => 100755 bin/get_calibrations

diff --git a/bin/get_calibrations b/bin/get_calibrations
old mode 100644
new mode 100755
index 57389c8e..d543c491
--- a/bin/get_calibrations
+++ b/bin/get_calibrations
@@ -6,4 +6,8 @@ detector_benchmarks=https://eicweb.phy.anl.gov/EIC/benchmarks/detector_benchmark
 mkdir -p config
 for i in results/emcal_barrel_calibration.json ; do
   curl --fail -sL ${detector_benchmarks}/${i}?job=deploy_results --output config/$(basename ${i})
+  if [[ "$?" -ne "0" ]] ; then
+    echo "Error: could not retrieve calibrations!"
+    exit 1
+  fi
 done
-- 
GitLab